prefixes:
  e: http://myontology.com/
  ex: http://www.example.com/
  schema: http://schema.org/

sources:
  source-people: ['people.csv~csv']
  source-friends: ['friends.csv~csv']

targets:
  target-people: ['/data/out/people.ttl', 'turtle']
  target-people-gz: ['/data/out/people-gz.ttl.gz', 'turtle', 'gzip']
  target-web:
    type: directhttprequest
    access: http://localhost:3000/people
    serialization: turtle
  target-web-private:
    type: directhttprequest
    access: http://localhost:3000/people-private
    serialization: turtle
    authentication: auth1
  target-people-dt:
    source: source-people
    id: id-target-people-dt-$(person_id)
    access: /data/out/people-$(person_id).ttl
    serialization: turtle

authentications:
  auth1:
    type: cssclientcredentials
    email: test@example.com
    password: secret!
    webId: http://localhost:3000/profile/card#me
    oidcIssuer: http://localhost:3000/

mappings:
  people:
    sources:
      - source-people
    s:
      value: ex:$(person_id)
      targets:
        - target-people
        - target-people-gz
        - target-web
        - target-web-private
        - target-people-dt
    po:
      - [a, schema:Person]
      - [schema:givenName, $(firstname)]
      - [schema:familyName, $(lastname)]

  friends:
    sources:
      - source-friends
    s:
      value: ex:$(id-person)
      targets:
        - target-people
        - target-people-gz
        - target-web
        - target-web-private
        - id-target-people-dt-$(id-person)
    po:
      - [e:hasFriend, ex:$(id-friend)]
